Bug 309329 - unnamed template causes error highlighting
Summary: unnamed template causes error highlighting
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Language Support: CPP (old) (show other bugs)
Version: 4.3.1
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL: http://pastebin.com/7vLweb1L
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 17:15 UTC by Aleksei
Modified: 2013-03-31 00:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Sample code to test unnamed templates parsing (213 bytes, text/x-c++src)
2012-11-06 16:24 UTC, Aleksei
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksei 2012-10-31 17:15:00 UTC
Class with unnamed template causes parts of template to be highlighted as it would be wrongly defined. Compilation is OK.

Reproducible: Always

Steps to Reproduce:
1. Copy code from pastebin to empty C++ project.
2. 
3.
Actual Results:  
Parser displays errors in template definition highlighted with red.

Expected Results:  
No error highlighting.
Comment 1 Olivier.jg 2012-11-04 10:11:33 UTC
I don't see any pastebin link. In any case though, it's probably best if you can paste the minimal test case in a comment here. Thanks for the report.
Comment 2 Aleksei 2012-11-06 16:24:52 UTC
Created attachment 75054 [details]
Sample code to test unnamed templates parsing
Comment 3 Olivier.jg 2012-12-08 15:36:38 UTC
Git commit fba923e87c81017bd18b73aa887d658c322f4ffe by Olivier JG.
Committed on 08/12/2012 at 16:35.
Pushed by olivierjg into branch 'master'.

Allow template parameters to have default arguments without having
identifiers.
Add cpp file test to test default argument behavior (in template and
function contexts).
Add some new cpp json tests to support (templateContext,
templateParameterDefault)

M  +12   -13   languages/cpp/parser/parser.cpp
M  +23   -0    languages/cpp/tests/cppjsontests.h
A  +45   -0    languages/cpp/tests/cpptestfiles/defaultparameters.cpp     [License: LGPL (v2)]

http://commits.kde.org/kdevelop/fba923e87c81017bd18b73aa887d658c322f4ffe
Comment 4 Aleix Pol 2013-03-31 00:53:32 UTC
Moving all the bugs from the CPP Parser. It was not well defined the difference between it and C++ Language Support and people kept reporting in both places indistinctively